<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.elephant.framework.galaxy.aroad.module.zhtj.mapper.ZhtjGljszkpdMapper">

  <resultMap id="zhtjGljszkpdMap" type="com.elephant.framework.galaxy.aroad.module.zhtj.entity.ZhtjGljszkpd">
        <id property="id" column="id"/>
        <result property="year" column="year"/>
        <result property="area" column="area"/>
        <result property="type" column="type"/>
        <result property="pdlc" column="pdlc"/>
        <result property="you" column="you"/>
        <result property="liang" column="liang"/>
        <result property="zhong" column="zhong"/>
        <result property="ci" column="ci"/>
        <result property="cha" column="cha"/>
        <result property="ylPer" column="yl_per"/>
        <result property="sort" column="sort"/>
        <result property="creator" column="creator"/>
        <result property="createTime" column="create_time"/>
        <result property="updatePerson" column="update_person"/>
        <result property="updateTime" column="update_time"/>
        <result property="status" column="status"/>
        <result property="delFlag" column="del_flag"/>
        <result property="remarks" column="remarks"/>
  </resultMap>
      <select id="newYear" resultType="string">
            select max(year) from t_zhtj_gljszkpd
            <if test="type != null and type != ''">
                  where type = #{type}
            </if>
      </select>
</mapper>
